Labels IPs
Returns an array of ip labels.
List of IP Labels Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
]
}Creates a IP label from the data that's been supplied
IP Label Create Config.
IP address
10.250.0.1IP label context. default context is 'name'.
nameArray containing the IP labels.
["name1","name2"]IP Label Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
POST /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
}Update an IP Label given the provided object. This does not do a diff. You must send the complete object.
IP Label Create Config.
IP address
10.250.0.1IP label context. default context is 'name'.
nameArray containing the IP labels.
["name1","name2"]IP Label Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/labels/ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
}Fetches all labels by a specific context for all IPs.
The context of the IP labels to be returned.
IP Label Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/labels/ips/all/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
}Fetches a all IP labels for the IP address supplied in the path.
The IP Address of the IP labels to be returned.
IP Label Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/labels/ips/{ip} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
}Fetches a specific IP label from the IP supplied in the path.
The IP Address of the IP labels to be returned.
The context of the IP labels.
IP Label Requested
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/labels/ips/{ip}/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
}Removes all the labels for the provided context.
The IP of the IP label to be deleted.
The context of the IP label to be deleted.
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/labels/ips/{ip}/{context} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Bulk create/update IP labels. New labels will be created, and existing labels will be replaced. Limited to 10,000 labels per request. Note: the API path has changed from previous versions
IP Label Create Config.
IP address
10.250.0.1IP label context. default context is 'name'.
nameArray containing the IP labels.
["name1","name2"]Result of IP Labels bulk upload
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/labels/ips/bulk HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 65
[
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
]{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
]
}Bulk delete IP labels from the data that's been supplied.
Delete IP Labels via ip or context or both. One of ip or context is required. Both may be provided as well.
IP address.
10.250.0.1IP label context. Default context is 'name'. Optional if ip is provided.
nameResult of IP Labels bulk upload
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/labels/ips/bulk HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38
[
{
"ip": "10.250.0.1",
"context": "name"
}
]{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
]
}Upload IP labels via a CSV file. New labels will be created, and existing labels will be replaced. Limited to 10,000 labels per request.
The CSV must be a text file and should NOT have any headers. Multiple labels can be assigned per context by having additional columns.
Example CSV:
IP1, Context1, Label1
IP1, Context2, Label1, Label2
IP2, Context1, Label3
IP2, Context4, Label4, Label5, Label6
The CSV file to upload
Result of IP Labels bulk upload
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/labels/ips/upload HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 15
{
"file": "text"
}{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"ip": "10.250.0.1",
"context": "name",
"labels": [
"name1",
"name2"
]
}
]
}Last updated